package com.ag.entity.fee;

import com.ag.base.ISerializable;

import java.util.Date;

/**
 * CTariff entity. @author MyEclipse Persistence Tools
 */

public class Tariff implements ISerializable {

	// Fields
	private String id;
	private String tenancyId;
	private String chargingId;
	private Double rate;
	private String currency;
	private Integer amountFormat;
	private Integer formatUnit;
	private String notes;
	private String createdBy;
	private Date createdOn;
	private String updatedBy;
	private Date updatedOn;
	private String contractId;
	private Integer sort;
	private Double volPrice;
	private String receiveCode;
	private String payCode;
	private Double receiveRate;
	private Double payRate;
	private String receiveCurrency;
	private String payCurrency;
	private String keyDescription;
	private String valDescription;
	private Date effectiveDate;
	private Date expiredDate;
	private String appendlxNotes;
	private Integer confirmStatus;
	private String confirmBy;
	private Date confirmOn;
	private Integer delFlag;
	private Integer byton;
	private Double minAmount;
	private Double maxAmount;
	private Integer isFormat;
	private Integer verifyFlag;
	private String receiveMan;
	private String payMan;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getTenancyId() {
		return tenancyId;
	}

	@Override
	public void setTenancyId(String tenancyId) {
		this.tenancyId = tenancyId;
	}

	public String getChargingId() {
		return chargingId;
	}

	public void setChargingId(String chargingId) {
		this.chargingId = chargingId;
	}

	public Double getRate() {
		return rate;
	}

	public void setRate(Double rate) {
		this.rate = rate;
	}

	public String getCurrency() {
		return currency;
	}

	public void setCurrency(String currency) {
		this.currency = currency;
	}

	public Integer getAmountFormat() {
		return amountFormat;
	}

	public void setAmountFormat(Integer amountFormat) {
		this.amountFormat = amountFormat;
	}

	public Integer getFormatUnit() {
		return formatUnit;
	}

	public void setFormatUnit(Integer formatUnit) {
		this.formatUnit = formatUnit;
	}

	public String getNotes() {
		return notes;
	}

	public void setNotes(String notes) {
		this.notes = notes;
	}

	public String getCreatedBy() {
		return createdBy;
	}

	@Override
	public void setCreatedBy(String createdBy) {
		this.createdBy = createdBy;
	}

	public Date getCreatedOn() {
		return createdOn;
	}

	@Override
	public void setCreatedOn(Date createdOn) {
		this.createdOn = createdOn;
	}

	public String getUpdatedBy() {
		return updatedBy;
	}

	@Override
	public void setUpdatedBy(String updatedBy) {
		this.updatedBy = updatedBy;
	}

	public Date getUpdatedOn() {
		return updatedOn;
	}

	@Override
	public void setUpdatedOn(Date updatedOn) {
		this.updatedOn = updatedOn;
	}

	public String getContractId() {
		return contractId;
	}

	public void setContractId(String contractId) {
		this.contractId = contractId;
	}

	public Integer getSort() {
		return sort;
	}

	public void setSort(Integer sort) {
		this.sort = sort;
	}

	public Double getVolPrice() {
		return volPrice;
	}

	public void setVolPrice(Double volPrice) {
		this.volPrice = volPrice;
	}

	public String getReceiveCode() {
		return receiveCode;
	}

	public void setReceiveCode(String receiveCode) {
		this.receiveCode = receiveCode;
	}

	public String getPayCode() {
		return payCode;
	}

	public void setPayCode(String payCode) {
		this.payCode = payCode;
	}

	public Double getReceiveRate() {
		return receiveRate;
	}

	public void setReceiveRate(Double receiveRate) {
		this.receiveRate = receiveRate;
	}

	public Double getPayRate() {
		return payRate;
	}

	public void setPayRate(Double payRate) {
		this.payRate = payRate;
	}

	public String getReceiveCurrency() {
		return receiveCurrency;
	}

	public void setReceiveCurrency(String receiveCurrency) {
		this.receiveCurrency = receiveCurrency;
	}

	public String getPayCurrency() {
		return payCurrency;
	}

	public void setPayCurrency(String payCurrency) {
		this.payCurrency = payCurrency;
	}

	public String getKeyDescription() {
		return keyDescription;
	}

	public void setKeyDescription(String keyDescription) {
		this.keyDescription = keyDescription;
	}

	public String getValDescription() {
		return valDescription;
	}

	public void setValDescription(String valDescription) {
		this.valDescription = valDescription;
	}

	public Date getEffectiveDate() {
		return effectiveDate;
	}

	public void setEffectiveDate(Date effectiveDate) {
		this.effectiveDate = effectiveDate;
	}

	public Date getExpiredDate() {
		return expiredDate;
	}

	public void setExpiredDate(Date expiredDate) {
		this.expiredDate = expiredDate;
	}

	public String getAppendlxNotes() {
		return appendlxNotes;
	}

	public void setAppendlxNotes(String appendlxNotes) {
		this.appendlxNotes = appendlxNotes;
	}

	public Integer getConfirmStatus() {
		return confirmStatus;
	}

	public void setConfirmStatus(Integer confirmStatus) {
		this.confirmStatus = confirmStatus;
	}

	public String getConfirmBy() {
		return confirmBy;
	}

	public void setConfirmBy(String confirmBy) {
		this.confirmBy = confirmBy;
	}

	public Date getConfirmOn() {
		return confirmOn;
	}

	public void setConfirmOn(Date confirmOn) {
		this.confirmOn = confirmOn;
	}

	public Integer getDelFlag() {
		return delFlag;
	}

	@Override
	public void setDelFlag(Integer delFlag) {
		this.delFlag = delFlag;
	}

	public Integer getByton() {
		return byton;
	}

	public void setByton(Integer byton) {
		this.byton = byton;
	}

	public Double getMinAmount() {
		return minAmount;
	}

	public void setMinAmount(Double minAmount) {
		this.minAmount = minAmount;
	}

	public Double getMaxAmount() {
		return maxAmount;
	}

	public void setMaxAmount(Double maxAmount) {
		this.maxAmount = maxAmount;
	}

	public Integer getIsFormat() {
		return isFormat;
	}

	public void setIsFormat(Integer isFormat) {
		this.isFormat = isFormat;
	}

	public Integer getVerifyFlag() {
		return verifyFlag;
	}

	public void setVerifyFlag(Integer verifyFlag) {
		this.verifyFlag = verifyFlag;
	}

	public String getReceiveMan() {
		return receiveMan;
	}

	public void setReceiveMan(String receiveMan) {
		this.receiveMan = receiveMan;
	}

	public String getPayMan() {
		return payMan;
	}

	public void setPayMan(String payMan) {
		this.payMan = payMan;
	}
}